Apple sandbox regarding file renaming software

Discussion in 'Mac Apps and Mac App Store' started by ronen, Oct 31, 2015.

  1. ronen macrumors newbie

    ronen

    Joined:
    Mar 11, 2011
    #1
    I only want to install an AppStore Apps !

    The new Better rename 10 is NOT at the Appstore but the previous ver 9 is available there.

    See Quote from a user review :

    The Better Finder Rename from the company on their website is different than the Mac App Store. The ludicrously restrictive sandboxing rules the store imposes heavy-handedly on developers means the Mac App Store version is crippled in a few ways that makes the direct-from-developer purchase a no-brainer for anyone who will use the program seriously. (That pretty much applies to any application you can get elsewhere.)

    So If Ill buy the previous 9 ver from the AppStore , Will I lose something or will it will be effective ?

    https://itunes.apple.com/us/app/better-rename-9/id414209656?mt=12

    http://www.publicspace.net/ABetterFinderRename/index.html

    Thanks
     
  2. chscag macrumors 68000

    Joined:
    Feb 17, 2008
    Location:
    Fort Worth, Texas
    #2
    I think it's fine to only want apps from the MAS as that's the safest, however, approved developers are perfectly OK to obtain apps direct from their web site. The only problem you'll have is that Gate Keeper will warn you when you download and possibly not allow you to open the app. And you can get around that easy enough. So, if you want Better Rename version 10, I see nothing wrong with obtaining it from the developer. But it's your choice.... :rolleyes:
     
  3. mw360 macrumors 65816

    mw360

    Joined:
    Aug 15, 2010
    #3
    V9 from the App Store seems to work fine for me. V8 was fine too. You may be missing out on something (upgrade pricing for one thing), but its a renamer app, and was pretty darned excellent back in v6 when I first tried it - so it's not really worth losing sleep over what might be new in 10.
     
  4. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #4
    Here's what the vendor says about version 10

    Personally I think its a bit silly to trust version 9 but not version 10, just from the fact that its not in the MAS. You're paying money for an old version that will not be supported any longer. Due to Apple's restrictions you are getting less features.
     

Share This Page